GPASSWD(1)

NOM
gpasswd - administer /etc/group and /etc/gshadow

SYNOPSIS

gpasswd [option] groupe

DESCRIPTION

The gpasswd command is used to administer /etc/group, and /etc/gshadow. Every group can have administrators, members and a password.

System administrators can use the -A option to define group administrator(s) and the -M option to define members. They have all rights of group administrators and members.

gpasswd called by a group administrator with a group name only prompts for the new password of the group.

If a password is set the members can still use newgrp(1) without a password, and non-members must supply the password.

  Notes sur les mots de passe de groupe

Les mots de passe de groupe représentent naturellement un risque en matière de sécurité, puisque plusieurs personnes ont connaissance du mot de passe. Cependant, les groupes sont utiles pour permettre la coopération entre différents utilisateurs.

OPTIONS

Except for the -A and -M options, the options cannot be combined.

The options which apply to the gpasswd command are:

-a, --addutilisateur
    Add the user to the named group.

-d, --deleteutilisateur
    Remove the user from the named group.

-r, --remove-password
    Remove the password from the named group. Only group members will be allowed to use newgrp to join the named group.

-R, --restrict
    Restrict the access to the named group. Only group members will be allowed to use newgrp to join the named group.

-A, --administratorsutilisateur,...
    Set the list of administrative users.

-M, --membersutilisateur,...
    Set the list of group members.

AVERTISSEMENTS

This tool only operates on the /etc/group and /etc/gshadow files. Thus you cannot change any NIS or LDAP group. This must be performed on the corresponding server.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

ENCRYPT_METHOD (chaîne ce caractères)
    Définit les algorithmes de chiffrement par défaut du système pour coder les mots de passes (si aucun algorithme n'a été indiqué sur la ligne de commandes).

    Il peut prendre une de ces valeurs :

        • DES (par défaut)

        • MD5

        • SHA256

        • SHA512

        Remarque : ce paramètre remplace la variable MD5_CRYPT_ENAB.

    MAX_MEMBERS_PER_GROUP (nombre)
        Nombre maximum de membres par entrée de groupe. Lorsque le maximum est atteint, une nouvelle entrée de groupe (ligne) est démarrée dans /etc/group (avec le même nom, même mot de passe, et même GID).

        La valeur par défaut est 0, ce qui signifie qu'il n'y a pas de limites pour le nombre de membres dans un groupe.

        Cette fonctionnalité (groupe découpé) permet de limiter la longueur des lignes dans le fichier de groupes. Ceci est utile pour s'assurer que les lignes pour les groupes NIS ne sont pas plus grandes que 1024 caractères.

        Si vous avez besoin de fixer cette limite, vous pouvez utiliser 25.

        Remarque : les groupes découpés ne sont peut-être pas pris en charge par tous les outils (même dans la suite d'outils Shadow). Vous ne devriez pas utiliser cette variable, sauf si vous en avez vraiment besoin.

    MD5_CRYPT_ENAB (booléen)
        Indicate if passwords must be encrypted using the MD5-based algorithm. If set to yes, new passwords will be encrypted using the MD5-based algorithm compatible with the one used by recent releases of FreeBSD. It supports passwords of unlimited length and longer salt strings. Set to no if you need to copy encrypted passwords to other systems which don't understand the new algorithm. Default is no.

        This variable is superceded by the ENCRYPT_METHOD variable or by any command line option used to configure the encryption algorithm.

        This variable is deprecated. You should use ENCRYPT_METHOD.

    SHA_CRYPT_MIN_ROUNDS (nombre), SHA_CRYPT_MAX_ROUNDS (nombre)
        When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

        With a lot of rounds, it is more difficult to brute forcing the password. But note also that more CPU resources will be needed to authenticate users.

        If not specified, the libc will choose the default number of rounds (5000).

        The values must be inside the 1000-999999999 range.

        If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

        If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

VOIR AUSSI

newgrp(1), groupadd(8), groupdel(8), groupmod(8), grpck(8), group(5), gshadow(5).